﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SimpleSample
{
    public class Sample : ContentPage
    {
        public List<str> series
        {
            get;
            set;
        }

        public Sample()
        {

            series = new List<str>();
            series.Add(new str() { item = "one" });
            series.Add(new str() { item = "one" });
            series.Add(new str() { item = "one" });
            series.Add(new str() { item = "one" });
            series.Add(new str() { item = "one" });
            series.Add(new str() { item = "one" });
            series.Add(new str() { item = "one" });
            series.Add(new str() { item = "one" });
            series.Add(new str() { item = "one" });
            series.Add(new str() { item = "one" });
            series.Add(new str() { item = "one" });
            series.Add(new str() { item = "one" });
            series.Add(new str() { item = "one" });
            series.Add(new str() { item = "one" });
            series.Add(new str() { item = "one" });
            series.Add(new str() { item = "one" });
            series.Add(new str() { item = "one" });
            series.Add(new str() { item = "one" });
            series.Add(new str() { item = "one" });
            series.Add(new str() { item = "one" });

            StackLayout stackLayout = new StackLayout();

            ListView listView = new ListView();
            listView.VerticalOptions = LayoutOptions.FillAndExpand;
            listView.RowHeight = 500;
            
            listView.ItemsSource = series;
            listView.ItemTemplate = new DataTemplate(typeof(SimpleCell));

            stackLayout.Children.Add(listView);
            Content = stackLayout;
        }
    }

    public class SimpleCell : ViewCell
    {
        public SimpleCell()
        {
            StackLayout layout = new StackLayout();

            Label label = new Label();
            label.Text = "SfChart";
            label.Font = Font.BoldSystemFontOfSize(20);
            layout.Children.Add(label);

            SfChart chart = new SfChart();
            chart.VerticalOptions = LayoutOptions.FillAndExpand;
     
            chart.Legend = new ChartLegend();
            chart.Legend.DockPosition = LegendPlacement.Left;
            chart.Legend.Orientation = ChartOrientation.Vertical;

            PieSeries series = new PieSeries();
            series.DataMarker = new ChartDataMarker();
            series.DataMarker.LabelContent = LabelContent.Percentage;

            ViewModel view = new ViewModel();
            series.BindingContext = view;
            series.XBindingPath = "XValue";
            series.YBindingPath = "YValue";

            series.ItemsSource = view.Data; 
            chart.Series.Add(series);
            layout.Children.Add(chart);
            View = layout;
        }
    }

    public class str
    {
        public string item;
    }
}